%global dlrn_nvr tripleo-repos-0.1.1.dev5-0.20200612045156.ecf6206
%global dlrn 1
%define upstream_version 0.1.1.dev5
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global executable tripleo-repos

%global common_desc \
tripleo-repos is a tool to provide a single method for setting up the necessary \
yum repositories to do a TripleO deployment.

Name:       %{executable}
Version: 0.1.1
Release: 0.20200612045156.ecf6206%{?dist}
Summary:    A tool for managing TripleO repos from places like dlrn and Ceph.
License:    ASL 2.0
URL:        http://launchpad.net/tripleo/

Source0: tripleo-repos-0.1.1.dev5-0.20200612045156.ecf6206.tar.gz

BuildArch:  noarch

%package -n python3-%{executable}
Summary:    A tool for managing TripleO repos from places like dlrn and Ceph.
%{?python_provide:%python_provide python3-%{executable}}
Obsoletes: python2-%{executable} < %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
BuildRequires:  git
BuildRequires:  python3-mock
BuildRequires:  python3-fixtures
# Required for unit tests
BuildRequires:  python3-requests
BuildRequires:  python3-oslotest
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-ddt


Requires:       python3-requests

%description -n python3-%{executable}
%{common_desc}

%description
%{common_desc}


%prep
%autosetup -n %{executable}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
%{py3_build}

%install
%{py3_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s %{executable} %{buildroot}%{_bindir}/%{executable}-3

%check
%{__python3} setup.py test

%files -n python3-%{executable}
%license LICENSE
%doc README.rst
%{python3_sitelib}/tripleo_repos
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/tripleo_repos/tests
%{_bindir}/%{executable}
%{_bindir}/%{executable}-3

%changelog
